Skip to content
Back to top
View this page

# Button

class praw.models.Button(reddit: praw.Reddit, _data: Dict[str, Any] | None)

  Class to represent a single button inside a `ButtonWidget`.

  Typical Attributes

  Note

  This table describes attributes that typically belong to objects of this class. PRAW dynamically provides the attributes that Reddit returns via the API. Since those attributes are subject to change on Reddit’s end, PRAW makes no effort to document any new/removed/changed attributes, other than to instruct you on how to discover what is available. As a result, this table of attributes may not be complete. See Determine Available Attributes of an Object for detailed information.

  If you would like to add an attribute to this table, feel free to open a pull request.

  Attribute | Description
  --- | ---
  `color` | The hex color used to outline the button.
  `fillColor` | The hex color for the background of the button.
  `height` | Image height. Only present on image buttons.
  `hoverState` | A `dict` describing the state of the button when hovered over. Optional.
  `kind` | Either `"text"` or `"image"`.
  `linkUrl` | A link that can be visited by clicking the button. Only present on image buttons.
  `text` | The text displayed on the button.
  `textColor` | The hex color for the text of the button.

  `url`

  - If the button is a text button, a link that can be visited by clicking the button.

  - If the button is an image button, the URL of a Reddit-hosted image.

  `width` | Image width. Only present on image buttons.

  __init__(reddit: praw.Reddit, _data: Dict[str, Any] | None)

    Initialize a `PRAWBase` instance.

    Parameters:

      reddit – An instance of `Reddit`.

  classmethod parse(data: Dict[str, Any], reddit: praw.Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters:

      - data – The structured data.

      - reddit – An instance of `Reddit`.